Bug 498170 - httpd incorrectly returns lower level return code (70007 status code is not RFC)
httpd incorrectly returns lower level return code (70007 status code is not RFC)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Orton
BaseOS QE
:
Depends On:
Blocks: 498385
  Show dependency treegraph
 
Reported: 2009-04-29 05:24 EDT by Issue Tracker
Modified: 2010-10-23 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 498385 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 31759 None None None Never

  None (edit)
Description Issue Tracker 2009-04-29 05:24:33 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-04-29 05:24:34 EDT
This question relates to bz #484772 (<https://bugzilla.redhat.com/show_bug.cgi?id=484772>)

ssl_access_log on our satellite shows the improper 70007 status codes (codes are regulated by RFC, supposed to be 3 digits). The bz above shows:
  Status:  	 CLOSED INSUFFICIENT_DATA 

Is there some other bz or something in the works to correct this?


-----------
FWIW -- I can somewhat randomly cause the status by POSTing a file to a CGI handler. This handler is a minor variation on the upload_file.cgi that ships with the satellite product.
This event sent from IssueTracker by mpoole  [Support Engineering Group]
 issue 282716
Comment 2 Issue Tracker 2009-04-29 05:24:36 EDT
# Provide time and date of the problem

06/Apr/2009:07:14:48

# Indicate the platform(s) (architectures) the problem is being reported
against.

i686

# Provide clear and concise problem description as it is understood at the
time of escalation

    * Observed behavior

Customers finding HTTP 70007 errors in the logs.  Just wondering if this
is a reason for concern or just incorrectly logged status codes. 


Satellite info:

rhns-5.2.0-16.el5     

httpd-2.2.3-11.el5_2.4 


    * Desired behavior 

No errors

# State specific action requested of SEG

Please help to troubleshoot

# State whether or not a defect in the product is suspected

    * Provide Bugzilla if one already exists 


Unable to find anything in fulltext or IT searches. 

however found the following info on http errata

https://bugzilla.redhat.com/show_bug.cgi?id=197915

BUG 197915 -  incorrectly logs status code as 70007 - default handler
returns output filter apr_status_t value




Issue escalated to Support Engineering Group by: rmunilla.
Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by mpoole  [Support Engineering Group]
 issue 282716
Comment 3 Martin Poole 2009-04-29 05:30:46 EDT
This is specifically another variation of upstream 

https://issues.apache.org/bugzilla/show_bug.cgi?id=31759

We have in place the initial fix which covers the return path via server/core.c but as noted in https://issues.apache.org/bugzilla/show_bug.cgi?id=31759#c41 and https://issues.apache.org/bugzilla/show_bug.cgi?id=31759#c44  this can occur in other handlers as well.

Simplest fix seems to be the generic fixup referenced in https://issues.apache.org/bugzilla/show_bug.cgi?id=31759#c46 namely the patches

  http://svn.apache.org/viewvc?view=rev&revision=448711
  http://svn.apache.org/viewvc?view=rev&revision=450808
Comment 8 Chris Ward 2009-07-03 14:43:06 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 errata-xmlrpc 2009-09-02 07:50:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1380.html

Note You need to log in before you can comment on or make changes to this bug.